WindowsButtonUI (JGoodies Looks 2.5 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.windows
Class WindowsButtonUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ButtonUI
              javax.swing.plaf.basic.BasicButtonUI
                  com.sun.java.swing.plaf.windows.WindowsButtonUI
                      com.jgoodies.looks.windows.WindowsButtonUI

    public final class WindowsButtonUI

extends com.sun.java.swing.plaf.windows.WindowsButtonUI

The JGoodies Windows look&feel implementation of `ButtonUI`.

Unlike its superclass it returns even and odd preferred heights.

Version:
  $Revision: 1.9 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class com.sun.java.swing.plaf.windows.WindowsButtonUI
`dashedRectGapHeight, dashedRectGapWidth, dashedRectGapX, dashedRectGapY, focusColor`

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`WindowsButtonUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`Dimension` | `getPreferredSize(JComponent c)`

Methods inherited from class com.sun.java.swing.plaf.windows.WindowsButtonUI
`getFocusColor, installDefaults, paint, paintButtonPressed, paintFocus, paintText, uninstallDefaults`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPropertyPrefix, getTextShiftOffset, installKeyboardActions, installListeners, installUI, paintIcon, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsButtonUI

    public WindowsButtonUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

  Overrides:
    `getPreferredSize` in class `com.sun.java.swing.plaf.windows.WindowsButtonUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.